org.apache.cassandra.streaming

## Interface StreamConnectionFactory

All Known Implementing Classes:
  BulkLoadConnectionFactory, DefaultConnectionFactory

    public interface StreamConnectionFactory

Interface that creates connection used by streaming.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.net.Socket` `createConnection(java.net.InetAddress peer)`

### Method Detail

#### createConnection

    java.net.Socket createConnection(java.net.InetAddress peer)
                              throws java.io.IOException

Throws:
  `java.io.IOException`